ingres_commit
ingres_cursor
Ingres Funções
PHP Manual

# ingres_connect

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres >= 1.0.0)

ingres_connect — Open a connection to an Ingres database

### Descrição

resource ingres_connect ([ string `$database` [, string `$username` [, string `$password` [, array `$options` ]]]] )

ingres_connect() opens a connection with the given Ingres `database`.

The connection is closed when the script ends or when ingres_close() is called on this link.

### Parâmetros

If some parameters are missing, ingres_connect() uses the values in php.ini for `ingres.default_database`, `ingres.default_user` and `ingres.default_password`.

`database`

  The database name. Must follow the syntax:

  [vnode::]dbname[/svr_class]

`username`

  The Ingres user name

`password`

  The password associated with `username`

`options`

  ingres_connect() options

  Option name | Option type | Description | Example
  --- | --- | --- | ---
  date_century_boundary | integer | The threshold by which a 2-digit year is determined to be in the current century or in the next century. Equivalent to II_DATE_CENTURY_BOUNDARY. | 50
  group | string | Specifies the group ID of the user, equivalent to the "-G" flag | payroll
  role | string | The role ID of the application. If a role password is required, the parameter value should be specified as "role/password"
  effective_user | string | The ingres user account being impersonated, equivalent to the "-u" flag | another_user
  dbms_password | string | The internal database password for the user connecting to Ingres | s3cr3t

  table_structure

  string

  The default structure for new tables. Valid values for table_structure are:
  - INGRES_STRUCTURE_BTREE
  - INGRES_STRUCTURE_HASH
  - INGRES_STRUCTURE_HEAP
  - INGRES_STRUCTURE_ISAM
  - INGRES_STRUCTURE_CBTREE
  - INGRES_STRUCTURE_CISAM
  - INGRES_STRUCTURE_CHASH
  - INGRES_STRUCTURE_CHEAP

  INGRES_STRUCTURE_BTREE

  index_structure

  string

  The default structure for new secondary indexes. Valid values for index_structure are:
  - INGRES_STRUCTURE_CBTREE
  - INGRES_STRUCTURE_CISAM
  - INGRES_STRUCTURE_CHASH
  - INGRES_STRUCTURE_BTREE
  - INGRES_STRUCTURE_HASH
  - INGRES_STRUCTURE_ISAM

  INGRES_STRUCTURE_HASH

  login_local

  boolean

  Determines how the connection user ID and password are used when a VNODE is included in the target database string. If set to TRUE, the user ID and password are used to locally access the VNODE, and the VNODE login information is used to establish the DBMS connection. If set to FALSE, the process user ID is used to access the VNODE, and the connection user ID and password are used in place of the VNODE login information to establish the DBMS connection. This parameter is ignored if no VNODE is included in the target database string. The default is FALSE.

  TRUE

  timezone | string | Controls the timezone of the session. If not set it will default to the value defined by II_TIMEZONE_NAME. If II_TIMEZONE_NAME is not defined, NA-PACIFIC (GMT-8 with Daylight Savings) is used.

  date_format

  integer

  Sets the allowable input and output format for Ingres dates. Defaults to the value defined by II_DATE_FORMAT. If II_DATE_FORMAT is not set the default date format is US, e.g. mm/dd/yy. Valid values for date_format are:
  - INGRES_DATE_DMY
  - INGRES_DATE_FINISH
  - INGRES_DATE_GERMAN
  - INGRES_DATE_ISO
  - INGRES_DATE_ISO4
  - INGRES_DATE_MDY
  - INGRES_DATE_MULTINATIONAL
  - INGRES_DATE_MULTINATIONAL4
  - INGRES_DATE_YMD
  - INGRES_DATE_US

  INGRES_DATE_MULTINATIONAL4

  decimal_separator | string | The character identifier for decimal data | ","

  money_lort

  integer

  Leading or trailing currency sign. Valid values for money_lort are:
  - INGRES_MONEY_LEADING
  - INGRES_MONEY_TRAILING

  INGRES_MONEY_TRAILING

  money_sign | string | The currency symbol to be used with the MONEY datatype | €
  money_precision | integer | The precision of the MONEY datatype | 3
  float4_precision | integer | Precision of the FLOAT4 datatype | 10
  float8_precision | integer | Precision of the FLOAT8 data | 10
  blob_segment_length | integer | The amount of data in bytes to fetch at a time when retrieving BLOB or CLOB data, defaults to 4096 bytes when not explicitly set | 8192

### Valor Retornado

Returns a Ingres link resource on success ou `FALSE` em caso de falha

### Exemplos

Exemplo #1 Open a connection to an Ingres database

`<?php
$link = ingres_connect("mydb", "user", "pass")
or die("Could not connect");
echo "Connected successfully";
ingres_close($link);
?>`

### Veja Também

- ingres_pconnect() - Open a persistent connection to an Ingres database
- ingres_close() - Close an Ingres database connection

ingres_commit
ingres_cursor
Ingres Funções
PHP Manual